This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 54817 - make test fails on s390
Summary: make test fails on s390
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mysql (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: s390 Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Macdonald
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-19 18:15 UTC by Jay Turner
Modified: 2015-01-07 23:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-23 09:11:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Glen Foster 2001-10-19 18:15:48 UTC
Description of Problem: "make test" fails on s390

... after building (rpm -bc /usr/src/redhat/BUILD/mysql.spec):

[root@rawhide /root]# cd /usr/src/redhat/BUILD/mysql*
[root@rawhide mysql-3.23.41]# make test
cd mysql-test ; ./mysql-test-run
Installing Test Databases
Removing Stale Files
Installing Master Databases
011019 21:10:42  ../sql/mysqld: Shutdown Complete

Installing Slave Databases
011019 21:10:42  ../sql/mysqld: Shutdown Complete

Starting MySQL daemon
Loading Standard Test Databases
Starting Tests

 TEST                         USER   SYSTEM  ELAPSED        RESULT
------------------------------------------------------------------------
alias                         ....     ....     ....       [ fail ]

lt-mysqltest: Failed in mysql_real_connect(): Can't connect to local MySQL
server through socket
'/usr/src/redhat/BUILD/mysql-3.23.41/mysql-test/var/tmp/mysql-mas' (111)
Command exited with non-zero status 1 real 0.27 user 0.14 sys 0.09 
Aborting. To continue, re-run with '--force'.

Ending Tests
Shutting-down MySQL daemon

lt-mysqladmin: connect to server at 'localhost' failed
error: 'Can't connect to local MySQL server through socket
'/usr/src/redhat/BUILD/mysql-3.23.41/mysql-test/var/tmp/mysql-mas' (111)'
Check that mysqld is running and that the socket:
'/usr/src/redhat/BUILD/mysql-3.23.41/mysql-test/var/tmp/mysql-master.sock'
exists!
Master shutdown finished
lt-mysqladmin: connect to server at 'localhost' failed
error: 'Can't connect to local MySQL server through socket
'/usr/src/redhat/BUILD/mysql-3.23.41/mysql-test/var/tmp/mysql-sla' (111)'
Check that mysqld is running and that the socket:
'/usr/src/redhat/BUILD/mysql-3.23.41/mysql-test/var/tmp/mysql-slave.sock'
exists!
Slave shutdown finished
make: *** [test] Error 1

Comment 1 Glen Foster 2001-10-19 18:16:44 UTC
Assigning to laroche, changing arch to s390

Comment 2 Florian La Roche 2001-10-23 09:10:56 UTC
"make test" has often been disabled also for other archs than IA32, so maybe
this is a problem with the test itself. We have to start some other test
databases to see the status of mysql.

Florian La Roche


Comment 3 Florian La Roche 2001-10-26 07:14:21 UTC
Ok, mysql was compeletely non-working. Phil has fixed it for RC2.

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.